Vraag & Antwoord

OS Linux

ati driver installeren met linux suse 9.2

19 antwoorden
  • wie kan er mij simpel uitleggen hoe ik de ati driver moet installeren (paar keer geprobeerd maar het wil niet lukken) ben eeen beginner heb dus geen verstand van linux alvast bedankt het gaat om de ati radeon 9800 XT 256 MB
  • [quote:0e7cb308da="gekky29"]wie kan er mij simpel uitleggen hoe ik de ati driver moet installeren [/quote:0e7cb308da] Voor SuSE 9.2 kun je het beste de ati rpm's van de SuSE ftp downloaden. Dit is de Nerderlandse ftp ftp://ftp.mirror.nl/pub/mirror/suse/i386/supplementary/X/ATI/suse92/ waar rpm's staan voor i386 of hoger, en voor xf86_64. Bij deze ati SuSE drivers staan een readme die je moet opvolgen, om de drivers correct te installeren. Andere SuSE ftp mirrors staan [url=http://www.novell.com/products/linuxprofessional/downloads/ftp/int_mirrors.html]hier.[/url]
  • [quote:b828499635]The driver supports RV250, RV280, R200, RV350, R300, R350 chipsets of ATI. Popular boards using these chipsets are: [/quote:b828499635] mijn kaart heeft de R360 chipset de readme is in engels ben niet goed in engels is er ook een nederlandse vertaling
  • 1) Update XFree86 drivers # rpm -Uhv fglrx*.rpm 2) Update kernel module * bereid het maken van de kernel module voor - installeer de volgende pakketten met YaST: + kernel-source + make + gcc - gebruik YaST Online Update (YOU) en selecteer, indien beschikbaar, de kernel patch om er zeker van te zijn dat de kernel-sources en de in gebruik zijnde kernel hetzelfde zijn - configureer de kernel sources # cd /usr/src/linux # rm -f .config # make cloneconfig # make prepare-all - verwijder kernel module sources # rm -rf /usr/src/kernel-modules/fglrx * installeer kernel module source # rpm -Uhv km_fglrx*.rpm * compileer kernel module sources, dit moet iedere keer dat je de kernel update gebeuren # cd /usr/src/kernel-modules/fglrx # KERNEL_SOURCE=/usr/src/linux make modules # KERNEL_SOURCE=/usr/src/linux make install # depmod -a 3) Configureer X11 # rcxdm stop # sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl -i 4) activeer 3D support * bewerk /etc/X11/XF86Config met je favourite editor - controleer, dat Load "dri" in Section "Module" staat 5) activeer TV-out support * bewerk /etc/X11/XF86Config met je favourite editor - voeg Option "NoTV" "no" Option "TVStandard" "PAL-D" toe aan Section "Device" NOOT: PAL-D is enkel een voorbeeld van de verschillende TV-standaarden, de volgende opties zijn beschikbaar voor de configuratie: NTSC-M NTSC-N NTSC-JPN PAL-B PAL-D PAL-G PAL-H PAL-I PAL-K PAL-L PAL-N PAL-M PAL-SCART PAL-CN PAL-K1 5) Bekende problemen - driver ondersteunt alleen 24-bits kleuren - het activeren van 3D support door middel van SaX2 werkt niet 6) Documentatie --> /usr/share/doc/packages/fglrx/README.SuSE -------------------------------------------------------------------------------- De R360 staat niet in de lijst, maar dit is als het goed is gewoon precies dezelfde core als de R350, succes!
  • alles gedaan zoals er staat en nog steeds geen 3D :cry:
  • [quote:d78d174147="gekky29"]alles gedaan zoals er staat en nog steeds geen 3D :cry:[/quote:d78d174147] In dat geval kun je vermelden bij welke stap het fout ging. Heb je SuSE Linux ook nog opnieuw opgestart?
  • [quote:6a8bd931de]* compileer kernel module sources, dit moet iedere keer dat je de kernel update gebeuren # cd /usr/src/kernel-modules/fglrx # KERNEL_SOURCE=/usr/src/linux make modules # KERNEL_SOURCE=/usr/src/linux make install # depmod -a [/quote:6a8bd931de] kreeg een aantal errors herstarten hielp ook niet weet niet meer wat de fout code was
  • Dan kunnen we je helaas niet verder helpen. Je zult toch echt de errors moeten posten, aangezien er waarschijnlijk zo'n slordige honderduizend mogelijk zijn bij het maken van een kernel en dan heeft gokken slechts een geringe kans op succes. ;)
  • [code:1:373ba25d56]linux:~ # cd /usr/src/kernel-modules/fglrx -bash: cd: /usr/src/kernel-modules/fglrx: No such file or directory linux:~ # [/code:1:373ba25d56] dit is de fout code [quote:373ba25d56]aangezien er waarschijnlijk zo'n slordige honderduizend mogelijk zijn bij het maken van een kernel en dan heeft gokken slechts een geringe kans op succes.[/quote:373ba25d56] enne ik snap :wink:
  • [quote:ed2cc5810b="gekky29"][code:1:ed2cc5810b]linux:~ # cd /usr/src/kernel-modules/fglrx -bash: cd: /usr/src/kernel-modules/fglrx: No such file or directory linux:~ # [/code:1:ed2cc5810b][/quote:ed2cc5810b] Maar had je de stappen ervoor wel correct kunnen uitvoeren zonder foutmeldingen? Controleer dat met commando [code:1:ed2cc5810b] rpm -qa | grep fglrx [/code:1:ed2cc5810b][Enter] Ik zie dat de ATI drivers op de SuSE ftp zijn geüpdatet. Behalve 8.8.25 staat er nu ook 8.10.19. Welke had je geprobeerd te installeren? Als die rpm commando geen output geeft, kun je het installeren vanaf de eerste stap opnieuw proberen. Let deze keer goed op foutmeldingen. Vooral bij de rpm commando's. Edit: foutje in de quote hersteld.
  • is nu suse 9.1 maar krijg deze fout [code:1:508f75f5de]SaX: including profile: /usr/X11R6/lib/sax/profile/firegl... init: could not open file: /usr/X11R6/lib/sax/profile/firegl at /usr/X11R6/lib64/sax/init.pl line 943. [/code:1:508f75f5de]
  • [quote:ad9dd71500="gekky29"] is nu suse 9.1 maar krijg deze fout [code:1:ad9dd71500] SaX: including profile: /usr/X11R6/lib/sax/profile/firegl... init: could not open file: /usr/X11R6/lib/sax/profile/firegl at /usr/X11R6/lib64/sax/init.pl line 943. [/code:1:ad9dd71500][/quote:ad9dd71500] Deze reactie begrijp ik niet helemaal. Was het dan niet de bedoeling die foutmelding in SuSe 9.2 op te lossen? En waarom heb je nu gedowngraded naar SuSE 9.1?
  • omdat ik suse 9.1 koop versie heb en suse 9.2 download versie
  • [quote:de3498a0c1="gekky29"] omdat ik suse 9.1 koop versie heb en suse 9.2 download versie[/quote:de3498a0c1] Had je die SuSE 9.2 dan via ftp geïnstalleerd? Voor het installeren van de ATI drivers in SuSE 9.1 zou dat niks uit moeten maken. De installatie instructies zijn hetzelfde. Behalve dan dat de ATI drivers dan uit de [url=ftp://ftp.mirror.nl/pub/mirror/suse/i386/supplementary/X/ATI/suse91]9.1 map[/url] komen. Als je geen gebruik hebt gemaakt van kopieer en plak. Heb je die regel met sax2 wel goed getypt? [quote:de3498a0c1="Marcel de Reus"][code:1:de3498a0c1] sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl -i [/code:1:de3498a0c1][/quote:de3498a0c1] Heb je daar wel cijfer nul getypt bij fglrx?
  • [quote:bcd6625805] sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl -i[/quote:bcd6625805] na ik dit plakte kreeg het volgende resultaat [code:1:bcd6625805]SaX: ongeldige optie -- i Linux SaX Version 4.8 (2002-03-22) (C) Copyright 2002 - SuSE GmbH <Marcus Schaefer sax@suse.de> usage: SaX [ options ] options: [ -h | --help ] show this message and exit [ -b | --batchmode [ filename ]] enable batch mode to set configuration options via the SaX2 shell. Optionally give a full qualified file location holding the profile data [ -a | --auto ] enable automatic configuration. [ -l | --lowres ] use only 640x480 60 Hz standard mode. DDC detection is switched off in this case [ -V | --vesa ] This option will set a given resolution and vertical sync value (in Hz) as VESA standard resolution for a specific card. Format: Card:XxY@VSync Example: 0:1024x768@85 [ -m | --modules ] comma seperated list of X-Server modules for example: -m 0=mga,1=nv [ -c | --chip ] chip number(s) to scan [ -x | --xmode ] use server build in Modelines [ -u | --automode ] use server mode suggestion [ -p | --pci ] show PCI/AGP information [ -n | --node ] set device node to use for the core pointer [ -t | --type ] set protocol type to use for the core pointer [ -g | --gpm ] use gpm as repeater of mouse events [ -s | --sysconfig ] this option tell SaX2 to import the system wide config file even if SaX2 was started from a textconsole which normaly will import the SaX2 HW detection data [ -r | --reinit ] remove detection database and re-init the hardware database [ -v | --version ] print version information and exit [/code:1:bcd6625805]
  • [quote:bdfb5ff6e3="gekky29"]sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl -i [code:1:bdfb5ff6e3] SaX: ongeldige optie -- i [/code:1:bdfb5ff6e3][/quote:bdfb5ff6e3] Ik heb geen verklaring kunnen vinden voor die foutmelding. Want optie -i is wel geldig. In de man page staat hierover man sax2 [code:1:bdfb5ff6e3] Available command line options are the following: <knip> -i This option will disable the use of profiles which are normally applied automatically if defined for a specifc card or chipset <knip> [/code:1:bdfb5ff6e3] Was je toen je die sax2 commando uitvoerde wel in tekst modus? Als het goed is zorgde commando rcxdm stop hiervoor. In tekst modus heb je standaart namelijk geen muis. Tenzij je via Yast > Systeem > Runlevel editor, gpm selecteert en klikt op Inschakelen en Afronden.
  • readme is anders dan die van suse 9.2 [code:1:a6eec3067d]Installing ATI 'fglrx' driver (8.10.19) on SuSE 9.1-AMD64 --------------------------------------------------------- The following instructions explain how to install and enable release 8.10.19 of this driver. The driver supports RV250, RV280, R200, RV350, R300, R350 chipsets of ATI. Popular boards using these chipsets are: - ATI Radeon 8500 / 9100 - ATI FireGL 8700 / 8800 / E1 - ATI FireGL T2 - ATI Radeon 9000 - ATI Radeon 9200 - ATI Radeon 9500 - ATI Radeon 9600 - ATI Radeon 9700 - ATI Radeon 9800 - ATI FireGL Z1 / X1 / X2 - ATI Mobility M9 - ATI Mobility FireGL 9000 - ATI Mobility M9PLUS HOWTO ----- 1) Update XFree86 drivers # rpm -Uhv fglrx*.rpm 2) Update kernel module * prepare kernel module build - install the following packages with YaST: + kernel-source + make + gcc - use YaST Online Update (YOU) and - if available - select the kernel patch to make sure that the kernel sources match the current running kernel - configure the kernel sources # cd /usr/src/linux # rm -f .config # make cloneconfig # make prepare-all (only for kernel-source >= 2.6.5-7.75) - remove kernel module sources # rm -rf /usr/src/kernel-modules/fglrx * install kernel module source # rpm -Uhv km_fglrx*.rpm * compile kernel module sources # cd /usr/src/kernel-modules/fglrx # KERNEL_SOURCE=/usr/src/linux make modules # KERNEL_SOURCE=/usr/src/linux make install # depmod -a 3) Configure X11 # sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl 4) Enable 3D support * edit /etc/X11/XF86Config with your favorite editor - add Load "dri" to Section "Module" 5) Enable TV-out support * edit /etc/X11/XF86Config with your favorite editor - add Option "NoTV" "no" Option "TVStandard" "PAL-D" to Section "Device" NOTE: PAL-D is only one example of several TV Standards. The following are available for configuration: NTSC-M NTSC-N NTSC-JPN PAL-B PAL-D PAL-G PAL-H PAL-I PAL-K PAL-L PAL-N PAL-M PAL-SCART PAL-CN PAL-K1 5) Known Issues - driver only supports 24bit color depth - enabling of 3D support through SaX2 does not work - driver cannot be used on AMD64 architecture - kernel agp support for SiS 648 chipsets seems to be broken. Use Option "UseInternalAGPGART" "yes" (instead of Option "UseInternalAGPGART" "no") in Section "Device" of /etc/X11/XF86Config to use the builtin agp support of the "fglrx" kernel module. Remove "06" from COLDPLUG_PCI_CLASSES_WHITELIST in /etc/sysconfig/hotplug. Reboot your machine. In some cases Xserver needs to be started twice before internal agp support works. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! PLEASE NOTE THAT THERE IS NO WARRANTY AND THAT WE DO NOT PROVIDE SUPPORT FOR THESE PACKAGES! PLEASE USE "http://www.suse.de/feedback" FOR ANY FEEDBACK. !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! [/code:1:a6eec3067d] [code:1:a6eec3067d]# sax2 -r -m 0=fglrx -b /usr/X11R6/lib/sax/profile/firegl[/code:1:a6eec3067d] hier de fout melding [code:1:a6eec3067d]initializing please wait... SaX: including profile: /usr/X11R6/lib/sax/profile/firegl... init: could not open file: /usr/X11R6/lib/sax/profile/firegl at /usr/X11R6/lib64/sax/init.pl line 943. [/code:1:a6eec3067d]
  • heb alles goed doorlopen en nog steeds geen 3d volgens mij onderssteund de driver mijn kaart gewoon weg niet mijn chipset is R360 NJ en de volgende zijn onderssteund [quote:a7883bf6b8]The driver supports RV250, RV280, R200, RV350, R300, R350 chipsets [/quote:a7883bf6b8] als ik ddie van ati zelf prober krijg ik zwart beeld na de reboot
  • moet er tussen door nog opnieuw worden opgestart mischien is daar de fout ?

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.